Skip to main content
GET
/
v3
/
messages
/
all
List all messages
curl --request GET \
  --url https://api.wavix.com/v3/messages/all \
  --header 'Authorization: Bearer <token>'
"{\"message_id\":\"3a525ca2-6909-4c72-9399-905adf7f3a74\",\"message_type\":\"sms\",\"from\":\"15072429497\",\"to\":\"16419252149\",\"direction\":\"outbound\",\"status\":\"delivered\"}\n{\"message_id\":\"4b636ca3-7900-5d83-a400-016bf8f8f4b85\",\"message_type\":\"sms\",\"from\":\"15072429497\",\"to\":\"16419252150\",\"direction\":\"outbound\",\"status\":\"delivered\"}\n"

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

sent_after
string

Start date in YYYY-MM-DDTHH:MM:SS format.

Example:

"2023-04-10T00:00:00"

sent_before
string

End date in YYYY-MM-DDTHH:MM:SS format.

Example:

"2023-04-13T23:59:59"

type
string
required

Message direction for filtering. Allowed values are inbound, outbound.

Example:

"outbound"

from
string

Message sender. For outbound messages, the Sender ID used to send the message; for inbound messages, the originating phone number.

Example:

"15072429497"

to
string

Message recipient. For outbound messages, the destination phone number; for inbound messages, the SMS-enabled number that received the message.

Example:

"16419252149"

status
enum<string>

Message delivery status for filtering. Message delivery status.

Available options:
accepted,
pending,
sent,
delivered,
undelivered,
expired,
rejected,
dlr_expired
tag
string

Tag for filtering. Supported for outbound messages only.

Example:

"campaignX"

message_type
enum<string>

Message type for filtering. Allowed values are sms, mms.

Available options:
sms,
mms
Example:

"sms"

Response

NDJSON stream of messages.

Newline-delimited JSON stream of messages.

Example:

"{\"message_id\":\"3a525ca2-6909-4c72-9399-905adf7f3a74\",\"message_type\":\"sms\",\"from\":\"15072429497\",\"to\":\"16419252149\",\"direction\":\"outbound\",\"status\":\"delivered\"}\n{\"message_id\":\"4b636ca3-7900-5d83-a400-016bf8f8f4b85\",\"message_type\":\"sms\",\"from\":\"15072429497\",\"to\":\"16419252150\",\"direction\":\"outbound\",\"status\":\"delivered\"}\n"